Bug 14264 - Export of CSV from late orders form does only work in English
Summary: Export of CSV from late orders form does only work in English
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 7298
Blocks: 16914 17795
  Show dependency treegraph
 
Reported: 2015-05-24 16:05 UTC by Jonathan Druart
Modified: 2016-12-23 08:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14264: Fix export of late orders when translated (1.51 KB, patch)
2015-05-24 16:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14264: Fix export of late orders when translated (2.94 KB, patch)
2015-06-16 11:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 14264: Fix export of late orders when translated (3.08 KB, patch)
2015-11-20 14:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-05-24 16:05:48 UTC

    
Comment 1 Jonathan Druart 2015-05-24 16:07:31 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-06 12:29:55 UTC
Hi Jonathan, I tested with de-DE - but it didn't work somehow. Could you take another look please?
Comment 3 Jonathan Druart 2015-06-16 11:09:40 UTC Comment hidden (obsolete)
Comment 4 Laurence Rault 2015-11-19 11:15:39 UTC
Tested OK on biblibre sandbox following test plan (french translation) : the csv first line only contains the headers.
Comment 5 Katrin Fischer 2015-11-20 14:20:15 UTC
Created attachment 45046 [details] [review]
[PASSED QA] Bug 14264: Fix export of late orders when translated

Bug 7298 tried to fix this issue, but it was not correct.
We have 3 files in acqui/csv:
basketgroup.tt, basket.tt and lateorders.tt
The first 2 don't contain translatable string, and are not modified on
translating the templates (`translate install`)
On the contrary, lateorders.tt has some strings to translate ('Author:',
'Published by:', etc.). After being translated, all carriage returns
between TT tags are removed.

Test plan:
1/ choose a language and update + translate the templates
for instance:
  cd misc/translate;
  ./translate update es-ES; ./translate install es-ES
2/ Go to acqui/lateorders.pl using this language
3/ Generate a csv for 1+ late orders and confirm the first line only
contains the headers.

Signed-off-by: Laurence Lefaucheur <laurence.lefaucheur@biblibre.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-11-23 14:32:45 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 7 Frédéric Demians 2015-11-29 21:13:36 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 8 Liz Rea 2016-01-06 21:02:35 UTC
Pushed to 3.18.13, and released.
Comment 9 Katrin Fischer 2016-12-22 12:38:59 UTC
This is broken again - see bug 17795.